#
# spec file for package python-suds
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-suds
Version:        0.4
Release:        18.2
Summary:        A lightweight SOAP python client that provides a service proxy for Web Services
License:        LGPL-3.0+
Group:          Development/Languages/Python
Url:            https://fedorahosted.org/suds
Source:         %{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM speilicke@suse.com
Patch0:         suds-insecure-cache-tempdir.patch
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Features
* No class generation
* Provides an object API.
* Reads wsdl at runtime for encoding/decoding
* Supports the following SOAP binding styles:
* Document/Literal
* RPC/Literal
* RPC/Encoded
* Provides objectification of WSDL defined:
* Types (objects)
* Enumerations
* Service and type objects provide inspection via print
* Supports unicode

%prep
%setup -q
%patch0 -p1

%build
python setup.py build

%install
python setup.py install --optimize=1 --prefix=%{_prefix} --root=%{buildroot}
# create symlinks for man pages
%fdupes -s %{buildroot}/%{_mandir}
# create hardlinks for the rest
%fdupes %{buildroot}

%check
#NOTE(saschpe): We can only run tests that don't need internet or server access.
# Put the installed 'suds' module and the local 'tests' module into PYTHONPATH:
export PYTHONPATH=%{buildroot}%{python_sitelib}:.
for t in builtin saxenc ; do
python tests/$t.py
done

%files
%defattr(-,root,root,-)
%doc README LICENSE
%{python_sitelib}/*

%changelog
* Wed May 21 2014 dmueller@suse.com
- revert to python-suds. If you want to package suds-jurko,
  call the package python-suds-jurko.
* Mon Apr 14 2014 mcihar@suse.cz
- Run testsuite using pytest
- Fixed Source URL
- Included HACKING.rst in the documentation
* Fri Apr 11 2014 mcihar@suse.cz
- Update to version 0.6 (forked upstream)
  - supports Python 3
  - many bugfixes see https://bitbucket.org/jurko/suds/overview
* Mon Jan 13 2014 speilicke@suse.com
- Run tests that don't need internet or server access
* Wed Nov 27 2013 speilicke@suse.com
- Enhance suds-insecure-cache-tempdir.patch to cleanup temporary files
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Jul  4 2013 speilicke@suse.com
- Add suds-insecure-cache-tempdir.patch: Create random cache tempdir
  to avoid other local user access (bnc#827568)
* Wed Dec 19 2012 saschpe@suse.de
- It's a noarch package
* Tue Nov 29 2011 saschpe@suse.de
- Use python-distribute instead of python-setuptools
- Fix license to LGPL-3.0+ (SPDX style, see LICENSE)
- Run testsuite
* Tue Nov 29 2011 idoenmez@suse.de
- Cleanup spec file
* Thu Nov 24 2011 idoenmez@suse.de
- Format spec file
* Tue Jan 11 2011 mcihar@suse.cz
- use distutils recorded file list
* Tue Jan 11 2011 mcihar@suse.cz
- update to 0.4
* Wed Oct 21 2009 nix@opensuse.org
- Update to suds-0.3.7
- Add python-xml as a BuildDependency
